This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 572048 - Modem Manager sometimes fails to detect valid modem
Modem Manager sometimes fails to detect valid modem
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ModemManager (Show other bugs)
12
All Linux
low Severity high
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-10 01:15 EST by David Anderson
Modified: 2010-12-03 12:37 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 12:37:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Anderson 2010-03-10 01:15:37 EST
Description of problem:

My Nokia has a slightly dodgy cable and can sometimes rapidly disappear and re-appear.

Sometimes a valid /dev/ttyACM0 device is present, but ModemManager/NetworkManager appear ignorant of it. "killall modem-manager" then brings it back again.

Version-Release number of selected component (if applicable):
ModemManager-0.3-2.git20100211.fc12.x86_64
NetworkManager-0.7.998-2.git20100106.fc12.x86_64

Here's an example of the Nokia appearing on the system, but nothing from ModemManager:

Mar 10 09:07:19 localhost kernel: usb 1-1: USB disconnect, address 34
Mar 10 09:07:21 localhost kernel: usb 1-3: new high speed USB device using ehci_hcd and address 35
Mar 10 09:07:22 localhost kernel: usb 1-3: device descriptor read/all, error -71
Mar 10 09:07:22 localhost kernel: usb 3-1: new full speed USB device using ohci_hcd and address 5
Mar 10 09:07:23 localhost kernel: usb 3-1: not running at top speed; connect to a high speed hub
Mar 10 09:07:23 localhost kernel: usb 3-1: New USB device found, idVendor=0421, idProduct=010e
Mar 10 09:07:23 localhost kernel: usb 3-1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
Mar 10 09:07:23 localhost kernel: usb 3-1: Product: Nokia E75
Mar 10 09:07:23 localhost kernel: usb 3-1: Manufacturer: Nokia
Mar 10 09:07:23 localhost kernel: usb 3-1: SerialNumber: 359557011527518
Mar 10 09:07:23 localhost kernel: usb 3-1: configuration #1 chosen from 1 choice
Mar 10 09:07:23 localhost kernel: cdc_acm 3-1:1.1: ttyACM0: USB ACM device
Mar 10 09:07:23 localhost kernel: usb 3-1: bad CDC descriptors
Mar 10 09:07:23 localhost kernel: usb 3-1: bad CDC descriptors
Mar 10 09:07:23 localhost kernel: cdc_phonet: probe of 3-1:1.10 failed with error -22

(Note that the "probe failed", "bad CDC descriptors" is normal - happens every time).
Note the ttyACM0 - the device is there. But ModemManager is silent.

Then I do "killall modem-manager", and it restarts, and then we get:

Mar 10 09:07:38 localhost modem-manager: (ttyACM0) closing serial device...
Mar 10 09:07:38 localhost modem-manager: (ttyACM0) opening serial device...
Mar 10 09:07:38 localhost modem-manager: (Nokia): GSM modem /sys/devices/pci0000:00/0000:00:13.1/usb3/3-1 claimed port ttyACM0
Mar 10 09:07:38 localhost modem-manager: (ttyACM0) closing serial device...
Mar 10 09:07:38 localhost NetworkManager: <info>  (ttyACM0): new GSM device (driver: 'cdc_acm')
Mar 10 09:07:38 localhost NetworkManager: <info>  (ttyACM0): exported as /org/freedesktop/NetworkManager/Devices/16
Mar 10 09:07:38 localhost NetworkManager: <info>  (ttyACM0): now managed
Mar 10 09:07:38 localhost NetworkManager: <info>  (ttyACM0): device state change: 1 -> 2 (reason 2)
Mar 10 09:07:38 localhost NetworkManager: <info>  (ttyACM0): deactivating device (reason: 2).
Mar 10 09:07:38 localhost NetworkManager: <info>  (ttyACM0): device state change: 2 -> 3 (reason 0)
Comment 1 Dan Williams 2010-04-12 19:18:31 EDT
Can you do some debugging following the instructions here:

http://live.gnome.org/NetworkManager/Debugging

under the section "Debugging NetworkManager 0.8.x 3G connections" ?  Then attach the modem-manager --debug log to this bug report when you are able to trigger the problem.  Thanks!
Comment 2 James M. Leddy 2010-06-25 11:15:44 EDT
I have this same bug. I'll follow the steps in comment #1. 

Dan, is there any reason /etc/init.d/NetworkManager stop doesn't kill modem-manager? It took me forever to find the root cause of this issue.i
Comment 3 James M. Leddy 2010-06-25 11:17:14 EDT
This is also similar to bug 592994
Comment 4 Dan Williams 2010-07-02 13:21:04 EDT
(In reply to comment #2)
> I have this same bug. I'll follow the steps in comment #1. 
> 
> Dan, is there any reason /etc/init.d/NetworkManager stop doesn't kill
> modem-manager? It took me forever to find the root cause of this issue.i    

NM isn't the only thing that can use ModemManager actually.  Stuff like GeoClue could use ModemManager for location-based services even if you're not connected via 3G at the time.  So stopping it when NM isn't around might interfere with other users of ModemManager.
Comment 5 Dan Williams 2010-07-20 13:32:48 EDT
Waiting for James' info from comment 2...
Comment 6 James M. Leddy 2010-07-20 13:57:20 EDT
(In reply to comment #5)
> Waiting for James' info from comment 2...    

Hi Dan,

I haven't had another reoccurrence of the issue yet. I'll update this when I get one.
Comment 7 Bug Zapper 2010-11-03 16:15:06 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-12-03 12:37:06 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.